# ConsoleKnownHostsVerifier (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.verification
Class ConsoleKnownHostsVerifier

    java.lang.Object
      net.schmizz.sshj.transport.verification.OpenSSHKnownHosts
          net.schmizz.sshj.transport.verification.ConsoleKnownHostsVerifier

All Implemented Interfaces:
  HostKeyVerifier

    public class ConsoleKnownHostsVerifier

extends OpenSSHKnownHosts

Nested Class Summary

Nested classes/interfaces inherited from class net.schmizz.sshj.transport.verification.OpenSSHKnownHosts
`OpenSSHKnownHosts.Entry, OpenSSHKnownHosts.HashedEntry, OpenSSHKnownHosts.SimpleEntry`

Field Summary

Fields inherited from class net.schmizz.sshj.transport.verification.OpenSSHKnownHosts
`entries, khFile, log`

Constructor Summary
`ConsoleKnownHostsVerifier(File khFile, Console console)`

Method Summary
`protected boolean` `hostKeyChangedAction(OpenSSHKnownHosts.Entry entry, String hostname, PublicKey key)`
`protected boolean` `hostKeyUnverifiableAction(String hostname, PublicKey key)`

Methods inherited from class net.schmizz.sshj.transport.verification.OpenSSHKnownHosts
`detectSSHDir, entries, getFile, isHashed, verify, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleKnownHostsVerifier

    public ConsoleKnownHostsVerifier(File khFile,
                                     Console console)
                              throws IOException

Throws:
  `IOException`

Method Detail

### hostKeyUnverifiableAction

    protected boolean hostKeyUnverifiableAction(String hostname,
                                                PublicKey key)

  Overrides:
    `hostKeyUnverifiableAction` in class `OpenSSHKnownHosts`

### hostKeyChangedAction

    protected boolean hostKeyChangedAction(OpenSSHKnownHosts.Entry entry,
                                           String hostname,
                                           PublicKey key)

  Overrides:
    `hostKeyChangedAction` in class `OpenSSHKnownHosts`

Copyright © 2009-2011. All Rights Reserved.